---
search:
  tags:
    - Redirects V2
    - PATCH
seo:
  description: >-
    Bulk-patches redirects by id. Successful entities are… Reference for the
    PATCH /api/v2/{team_slug}/{app_slug}/redirects endpoint in the Management
    API v2.
sidebar:
  label: Update redirects
  badge: PATCH
title: Update redirects
type: openapi-operation
---
Bulk-patches redirects by id. Successful entities are returned in data; per-item failures in errors.

`PATCH /api/v2/{team_slug}/{app_slug}/redirects`

**Request body** (`application/json`, required)

- `redirects` (PatchRedirectItem[], required)

Request body example:

```json
{
  "redirects": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "old_slug": "string",
      "new_slug": "string",
      "type": "category",
      "locale": "string"
    }
  ]
}
```

**Responses**

- `200` — Patched (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "old_slug": "string",
      "new_slug": "string",
      "type": "string",
      "locale": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "old_slug": "string",
      "locale": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
